%define name    lsh
%define version 1.3.2
%define release 1mdk

Summary: Replacement for ssh
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL 
Url: http://www.net.lut.ac.uk/psst/
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
lsh is a GPL'd replacement for ssh. ssh (Secure Shell) is a program to log 
into another computer over a network, to execute commands in a remote
machine, and to move files from one machine to another. It provides strong 
authentication and secure communications over insecure networks.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

export CC="kgcc"
export CXX="kg++"

./configure --prefix=%{_prefix}

%make

%install

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/lsh.info.bz2

%postun
/sbin/install-info delete %{_infodir}/lsh.info.bz2

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README TODO NEWS ChangeLog COPYING
%{_bindir}/*
%{_sbindir}/*
%{_infodir}/*
%{_mandir}/man1/*
%{_mandir}/man5/* 
%{_mandir}/man8/* 

%changelog
* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-1mdk
- updated to 1.3.2

* Thu Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.7-1mdk
- updated to 1.1.7

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- updated to 1.1.5
- build with egcs

* Fri Oct 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-0.1mdk
- new in contribs

